View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010747CMakeDocumentationpublic2010-05-23 08:512010-11-09 22:57
ReporterMichael Wild 
Assigned ToDavid Cole 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionCMake-2-8 
Target VersionCMake 2.8.3Fixed in VersionCMake 2.8.3 
Summary0010747: The documentation of the functions in BundleUtilities and GetPrerequisites modules is not accessible
DescriptionSince the functions are documented inline (i.e. not in the header comment), their documentation doesn't show up in the HTML and man-pages. Moving it into the header comment fixes this.
Additional InformationThe topic branch here

http://github.com/themiwi/CMake/tree/patches/docBundleUtilities [^]

does this. The patches also reformats the documentation to better follow the conventions and makes it a bit more compact.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0021729)
Mike McQuaid (reporter)
2010-08-12 09:11

Is there any reason this patch hasn't been merged? If there's something slowing this down, I'd really like to help here.
(0021963)
David Cole (manager)
2010-08-25 15:09

Fixed in 'next' branch of CMake today:
http://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=095fb5bf2d6184faa6997ac70991a6f13ad5eed8 [^]

Expect it in 2.8.3...

- Issue History
Date Modified Username Field Change
2010-05-23 08:51 Michael Wild New Issue
2010-05-23 22:02 Bill Hoffman Status new => assigned
2010-05-23 22:02 Bill Hoffman Assigned To => David Cole
2010-08-12 09:11 Mike McQuaid Note Added: 0021729
2010-08-25 15:09 David Cole Note Added: 0021963
2010-08-25 15:09 David Cole Status assigned => resolved
2010-08-25 15:09 David Cole Fixed in Version => CMake-2-8
2010-08-25 15:09 David Cole Resolution open => fixed
2010-08-31 18:01 David Cole Target Version => CMake 2.8.3
2010-09-10 00:04 David Cole Fixed in Version CMake-2-8 => CMake 2.8.3
2010-11-09 22:57 Philip Lowman Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker